Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 08 Dec 2021 22:34:50 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Last 27th of November, I have placed a relatively big order on your online store which were supposed to be a gift for my parents’ birthdays; The order number is 9515988713.
I was expecting to receive my orders at least after 3 days from the day I have placed the order, since I know your service has always been up to the mark. 

I have placed my office address for the delivery location since I know I am always at work and no one will be at home to receive the package for me. 
On November 30, one of the courier person has called me to deliver the package to my office address; I must say it was very disappointing to speak with this person as he was very rude and shouted at me when he could not find the location. First of all, how can these courier company not be able to locate the address? Just how? Second, how can your courier company be that impolite to your customers when we are paying enough for this service? 
I then called your Contact Centre to complain and ask for the delivery address to be changed to my home instead since the courier company could not locate my office address, but it seems like there is a big lapse on the communication between your Contact Centre agents and the Courier Company which I believe needs to be addressed.

To cut the long story short, I have been calling your Contact Centre almost everyday to ask where my package is and I’ve asked so many times as well to escalate this situation but it seems like nothing has been actioned. As your loyal customer, I must say this is quite frustrating. As I have mentioned, these products I have ordered were supposedly my gifts for my parents last December 6, and I hope you understand where my frustrations are coming from. It’s now December 8 and I still did not get any clear solution from anyone on your end. To be honest, I never expected this from your Customer Service. Your agents gave me the same answers that they are going to request for this service to delivered urgently but until this day, nothing has reflected on all their promises. 

Just now, I have received a message that my order have been cancelled without my request.
WHAT A GREAT DISAPPOINTMENT FROM YOUR TEAM. 

I hope this could be sorted out by a higher management who knows what they are doing, and not a agents who keeps giving out promises that they cannot commit to. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3568561